CCOS(3)

NAME
ccos, ccosf, ccosl - complex circular cosine

SYNOPSIS
#include <complex.h>
double complex
ccos(double complex z);
float complex
ccosf(float complex z);
long double complex
ccosl(long double complex z);

DESCRIPTION
The ccos(), ccosf() and ccosl() functions compute the complex circular cosine of z.

If z = x + iy, then

    ccos(z) = cos(x) cosh(y) - i sin(x) sinh(y).

RETURN VALUES
The ccos(), ccosf() and ccosl() functions return the complex circular cosine of z.

SEE ALSO
csin(3), ctan(3)

STANDARDS
The ccos(), ccosf() and ccosl() functions conform to isoC-99.